Subject: Re: Cannot build Tk-800-022
From: "Gerrit P. Haase" <[email-masked]>
To: "Matthew O. Persico" <[email-masked]>, [email-masked]
Date: Thu, 13 Sep 2001 02:34:52 +0200

Matthew O. Persico schrieb am 2001-09-12, 19:40:

>So, here is the scoop:
>
>=========================================
>With X still installed, perl Makefile.PL:
>
>cd pTk && make 
>make[1]: Entering directory `/usr/local/src/perl/CPAN/Tk800.023/pTk'
>gcc -c -I.. -I../pTk/mTk/xlib -I. -Ibitmaps -I../pTk/mTk/xlib
>-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include
>-DUSEIMPORTLIB -O2   -DVERSION=\"800.023\" -DXS_VERSION=\"800.023\" 
>-I/usr/lib/perl5/5.6.1/cygwin-multi/CORE -D__WIN32__ -D_WIN32 -DWIN32
>-Wall -Wno-implicit-int -Wno-comment -Wno-unused
>-D__USE_FIXED_PROTOTYPES__ tixUnixDraw.c
>tixUnixDraw.c: In function `TixpStartSubRegionDraw':

Strange, that file was not built in 'my' version and i have X installed, too.

>===========================================
>With X still installed, perl Makefile.PL x:
>
>Failed one test, due to a temporary fork resource problem

Ah, good to know, i didn't tried with X yet.

>===========================================
>X uninstalled, perl Makefile.PL:
>
>Failed zero tests.

Yes, that is what i would expect. 
I have X installed, but i was not used to build Tk.
I got the headers in /usr/include, so they are not invisible..

>This is the configuration I am using.
>
>For the record, I am using Tk800.023.tar.gz from CPAN, with the patch at
>Probably you will need also the patch from Eric Fifer:
>ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Haase_Gerrit/1.3/perl/
>applied, using the commands
>
>perl Makefile.PL
>make test install
>
>in the Tk800.023 directory of the distribution.

Yes, that is how I did it, too.
And all tests passed:
All tests successful, 1 test skipped.
Files=25, Tests=886, 62 wallclock secs (17.34 cusr + 16.26 csys = 33.60 CPU)

>Thanks Gerrit. Hope you won't completely abandon us for the new 'de.'
>group.

Ah, no, i need to get input here to produce an outoput there;)

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/